Subject: Re: bug#8222: 24.0.50; problem with themeing var with repeat string

From: [email-masked]
Date: Sat, 12 Mar 2011 21:12:59 +0100

Chong Yidong <[email-masked]> writes:

> [email-masked] writes:
>
>> custom-theme-visit-theme doesnt provide a repeater while the usual
>> customize interface does.
>>
>> what I want to do is enable one base theme like wheatgrass or whatever.
>> On top of that I would like to add one zen theme, out of a set of three
>> zen themes.
>>
>> When I try the code I get all sorts of confusing behaviour. I iont get
>> the base theme I expect. The tool-bar doesnt come back when I disable a
>> zen theme. etc.
>>
>> I will update the repo for zen and then you can maybe try it?
>
> Could you try to come up a simple, minimal test case instead?  I am
> still not clear on what the problem is.

The other test case.

(defun zen-set-fullscreen (name state)
  (message "zen-set-fullscreen :>>%s<<" state)
  (setq zen-fullscreen-mode state)
  (cond
   ;;fullscreen seems to be quirky in some emacsen, this is a feeble workaround
   (state   (set-frame-parameter nil 'fullscreen 'fullboth))
    (t          (set-frame-parameter nil 'fullscreen 'fullboth-bug)
          (set-frame-parameter nil 'fullscreen 'nil))))

(defcustom zen-fullscreen-mode
  nil "make frame fullscreen."
  :group 'zen-mode
  :set 'zen-set-fullscreen)

now have a theme that sets theme zen-fullscreen-mode to t.
toggle it on and of a bit with enable-theme and disable-theme.

the second time enable is called zen-set-fullscreen will be called
twice. t first and nil second. so the end result will be nil rather than t.
  
-- 
Joakim Verona